Index: trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp	(revision 481)
+++ trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp	(revision 609)
@@ -356,90 +356,94 @@
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
 	extern PROJECTINFO ProjectInfo;
-	int i,i2,i3;
+	int i,i3;
 	char temporary[MAX_PATH],temp2[MAX_PATH];
 	switch(message){
 		case WM_INITDIALOG:
-			SetPosCenter(hwnd);
-			i=GetWndNum(GetWindow(hClient,GW_CHILD));
-			i2=GetWndInfoNum(MdiInfo[i].path);
-			sprintf(temporary,"h%s",ProjectInfo.pWindowInfo[i2].name);
-			sprintf(temp2,"%sProc",ProjectInfo.pWindowInfo[i2].name);
-			if(lstrcmp(temporary,ProjectInfo.pWindowInfo[i2].HandleName)==0&&
-				lstrcmp(temp2,ProjectInfo.pWindowInfo[i2].CallBackName)==0){
-				SendDlgItemMessage(hwnd,IDC_AUTOSET,BM_SETCHECK,BST_CHECKED,0);
-				SendMessage(hwnd,WM_COMMAND,IDC_AUTOSET,0);
-			}
-			SetDlgItemText(hwnd,IDC_WINDOWNAME,ProjectInfo.pWindowInfo[i2].name);
-			SetDlgItemText(hwnd,IDC_WINDOWHANDLE,ProjectInfo.pWindowInfo[i2].HandleName);
-			SetDlgItemText(hwnd,IDC_WINDOWPROC,ProjectInfo.pWindowInfo[i2].CallBackName);
-			break;
+			{
+				SetPosCenter(hwnd);
+				i=GetWndNum(GetWindow(hClient,GW_CHILD));
+				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				sprintf(temporary,"h%s",pWindowInfo->name);
+				sprintf(temp2,"%sProc",pWindowInfo->name);
+				if(lstrcmp(temporary,pWindowInfo->HandleName)==0&&
+					lstrcmp(temp2,pWindowInfo->CallBackName)==0){
+					SendDlgItemMessage(hwnd,IDC_AUTOSET,BM_SETCHECK,BST_CHECKED,0);
+					SendMessage(hwnd,WM_COMMAND,IDC_AUTOSET,0);
+				}
+				SetDlgItemText(hwnd,IDC_WINDOWNAME,pWindowInfo->name);
+				SetDlgItemText(hwnd,IDC_WINDOWHANDLE,pWindowInfo->HandleName);
+				SetDlgItemText(hwnd,IDC_WINDOWPROC,pWindowInfo->CallBackName);
+				break;
+			}
 		case WM_COMMAND:
 			switch(LOWORD(wParam)){
 				case IDOK:
-					if(GetWindowTextLength(GetDlgItem(hwnd,IDC_WINDOWNAME))==0){
-						//MsgBox "ウィンドウ識別名を入力して下さい。"
-						MessageBox(hOwner,STRING_WINDOW_RENAME_MUST_WINDOWNAME,APPLICATION_NAME,MB_OK|MB_ICONEXCLAMATION);
-						break;
-					}
-					if(GetWindowTextLength(GetDlgItem(hwnd,IDC_WINDOWHANDLE))==0){
-						//MsgBox "ハンドル名を入力して下さい。"
-						MessageBox(hOwner,STRING_WINDOW_RENAME_MUST_HANDLENAME,APPLICATION_NAME,MB_OK|MB_ICONEXCLAMATION);
-						break;
-					}
-					if(GetWindowTextLength(GetDlgItem(hwnd,IDC_WINDOWPROC))==0){
-						//MsgBox "プロシージャ名を入力して下さい。"
-						MessageBox(hOwner,STRING_WINDOW_RENAME_MUST_PROCEDURENAME,APPLICATION_NAME,MB_OK|MB_ICONEXCLAMATION);
-						break;
-					}
-
-					i=GetWndNum(GetWindow(hClient,GW_CHILD));
-					i2=GetWndInfoNum(MdiInfo[i].path);
-
-					RAD_UNDOSTATE_NAME names,NoticeNames;
-					i3=GetWindowTextLength(GetDlgItem(hwnd,IDC_WINDOWNAME))+1;
-					names.name=(char *)HeapAlloc(hHeap,0,i3);
-					GetDlgItemText(hwnd,IDC_WINDOWNAME,names.name,i3);
-
-					i3=GetWindowTextLength(GetDlgItem(hwnd,IDC_WINDOWHANDLE))+1;
-					names.HandleName=(char *)HeapAlloc(hHeap,0,i3);
-					GetDlgItemText(hwnd,IDC_WINDOWHANDLE,names.HandleName,i3);
-
-					i3=GetWindowTextLength(GetDlgItem(hwnd,IDC_WINDOWPROC))+1;
-					names.CallBackName=(char *)HeapAlloc(hHeap,0,i3);
-					GetDlgItemText(hwnd,IDC_WINDOWPROC,names.CallBackName,i3);
-
-					if(lstrcmp(names.name,ProjectInfo.pWindowInfo[i2].name)==0&&
-						lstrcmp(names.HandleName,ProjectInfo.pWindowInfo[i2].HandleName)==0&&
-						lstrcmp(names.CallBackName,ProjectInfo.pWindowInfo[i2].CallBackName)==0){
-						HeapDefaultFree(names.name);
-						HeapDefaultFree(names.HandleName);
-						HeapDefaultFree(names.CallBackName);
-						SendMessage(hwnd,WM_COMMAND,IDCANCEL,0);
+					{
+						if(GetWindowTextLength(GetDlgItem(hwnd,IDC_WINDOWNAME))==0){
+							//MsgBox "ウィンドウ識別名を入力して下さい。"
+							MessageBox(hOwner,STRING_WINDOW_RENAME_MUST_WINDOWNAME,APPLICATION_NAME,MB_OK|MB_ICONEXCLAMATION);
+							break;
+						}
+						if(GetWindowTextLength(GetDlgItem(hwnd,IDC_WINDOWHANDLE))==0){
+							//MsgBox "ハンドル名を入力して下さい。"
+							MessageBox(hOwner,STRING_WINDOW_RENAME_MUST_HANDLENAME,APPLICATION_NAME,MB_OK|MB_ICONEXCLAMATION);
+							break;
+						}
+						if(GetWindowTextLength(GetDlgItem(hwnd,IDC_WINDOWPROC))==0){
+							//MsgBox "プロシージャ名を入力して下さい。"
+							MessageBox(hOwner,STRING_WINDOW_RENAME_MUST_PROCEDURENAME,APPLICATION_NAME,MB_OK|MB_ICONEXCLAMATION);
+							break;
+						}
+
+						i=GetWndNum(GetWindow(hClient,GW_CHILD));
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+
+						RAD_UNDOSTATE_NAME names,NoticeNames;
+						i3=GetWindowTextLength(GetDlgItem(hwnd,IDC_WINDOWNAME))+1;
+						names.name=(char *)HeapAlloc(hHeap,0,i3);
+						GetDlgItemText(hwnd,IDC_WINDOWNAME,names.name,i3);
+
+						i3=GetWindowTextLength(GetDlgItem(hwnd,IDC_WINDOWHANDLE))+1;
+						names.HandleName=(char *)HeapAlloc(hHeap,0,i3);
+						GetDlgItemText(hwnd,IDC_WINDOWHANDLE,names.HandleName,i3);
+
+						i3=GetWindowTextLength(GetDlgItem(hwnd,IDC_WINDOWPROC))+1;
+						names.CallBackName=(char *)HeapAlloc(hHeap,0,i3);
+						GetDlgItemText(hwnd,IDC_WINDOWPROC,names.CallBackName,i3);
+
+						if(lstrcmp(names.name,pWindowInfo->name)==0&&
+							lstrcmp(names.HandleName,pWindowInfo->HandleName)==0&&
+							lstrcmp(names.CallBackName,pWindowInfo->CallBackName)==0){
+							HeapDefaultFree(names.name);
+							HeapDefaultFree(names.HandleName);
+							HeapDefaultFree(names.CallBackName);
+							SendMessage(hwnd,WM_COMMAND,IDCANCEL,0);
+							return 1;
+						}
+
+						//MsgBox "これらのウィンドウ識別名を変更すると、ソースコード内の識別子は手動で変換する必要があります。変更しますか？"
+						if(IDCANCEL==MessageBox(hwnd,STRING_WINDOW_RENAME_CHECK,APPLICATION_NAME,MB_OKCANCEL|MB_ICONEXCLAMATION)) return 1;
+
+						//変更情報を更新
+						NoticeNames.name=pWindowInfo->name;
+						NoticeNames.HandleName=pWindowInfo->HandleName;
+						NoticeNames.CallBackName=pWindowInfo->CallBackName;
+						Rad_NoticeChanging(i,RAD_UNDO_NAME,SELECT_WINDOW,(DWORD)&NoticeNames);
+
+						HeapDefaultFree(pWindowInfo->name);
+						pWindowInfo->name=names.name;
+						GlobalFree(MdiInfo[i].path);
+						MdiInfo[i].path=(char *)GlobalAlloc(GMEM_FIXED,lstrlen(names.name));
+						lstrcpy(MdiInfo[i].path,names.name);
+
+						HeapDefaultFree(pWindowInfo->HandleName);
+						pWindowInfo->HandleName=names.HandleName;
+
+						HeapDefaultFree(pWindowInfo->CallBackName);
+						pWindowInfo->CallBackName=names.CallBackName;
+
+						EndDialog(hwnd,1);
 						return 1;
 					}
-
-					//MsgBox "これらのウィンドウ識別名を変更すると、ソースコード内の識別子は手動で変換する必要があります。変更しますか？"
-					if(IDCANCEL==MessageBox(hwnd,STRING_WINDOW_RENAME_CHECK,APPLICATION_NAME,MB_OKCANCEL|MB_ICONEXCLAMATION)) return 1;
-
-					//変更情報を更新
-					NoticeNames.name=ProjectInfo.pWindowInfo[i2].name;
-					NoticeNames.HandleName=ProjectInfo.pWindowInfo[i2].HandleName;
-					NoticeNames.CallBackName=ProjectInfo.pWindowInfo[i2].CallBackName;
-					Rad_NoticeChanging(i,RAD_UNDO_NAME,SELECT_WINDOW,(DWORD)&NoticeNames);
-
-					HeapDefaultFree(ProjectInfo.pWindowInfo[i2].name);
-					ProjectInfo.pWindowInfo[i2].name=names.name;
-					GlobalFree(MdiInfo[i].path);
-					MdiInfo[i].path=(char *)GlobalAlloc(GMEM_FIXED,lstrlen(names.name));
-					lstrcpy(MdiInfo[i].path,names.name);
-
-					HeapDefaultFree(ProjectInfo.pWindowInfo[i2].HandleName);
-					ProjectInfo.pWindowInfo[i2].HandleName=names.HandleName;
-
-					HeapDefaultFree(ProjectInfo.pWindowInfo[i2].CallBackName);
-					ProjectInfo.pWindowInfo[i2].CallBackName=names.CallBackName;
-
-					EndDialog(hwnd,1);
-					return 1;
 				case IDCANCEL:
 					EndDialog(hwnd,0);
@@ -477,59 +481,64 @@
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
 	extern PROJECTINFO ProjectInfo;
-	int i,i2;
+	int i;
 
 	switch(message){
 		case WM_INITDIALOG:
-			SetPosCenter(hwnd);
-			i=GetWndNum(GetWindow(hClient,GW_CHILD));
-			i2=GetWndInfoNum(MdiInfo[i].path);
-			if(ProjectInfo.pWindowInfo[i2].ExStyle&WS_EX_TOPMOST) SendDlgItemMessage(hwnd,IDC_EXSTYLE_TOPMOST,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].ExStyle&WS_EX_ACCEPTFILES) SendDlgItemMessage(hwnd,IDC_EXSTYLE_ACCEPTFILES,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].ExStyle&WS_EX_TRANSPARENT) SendDlgItemMessage(hwnd,IDC_EXSTYLE_TRANSPARENT,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].ExStyle&WS_EX_TOOLWINDOW) SendDlgItemMessage(hwnd,IDC_EXSTYLE_TOOLWINDOW,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].ExStyle&WS_EX_CLIENTEDGE) SendDlgItemMessage(hwnd,IDC_EXSTYLE_CLIENTEDGE,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].ExStyle&WS_EX_STATICEDGE) SendDlgItemMessage(hwnd,IDC_EXSTYLE_STATICEDGE,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].ExStyle&WS_EX_NOPARENTNOTIFY) SendDlgItemMessage(hwnd,IDC_EXSTYLE_NOPARENTNOTIFY,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].ExStyle&WS_EX_CONTEXTHELP) SendDlgItemMessage(hwnd,IDC_EXSTYLE_CONTEXTHELP,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].ExStyle&WS_EX_CONTROLPARENT) SendDlgItemMessage(hwnd,IDC_EXSTYLE_CONTROLPARENT,BM_SETCHECK,BST_CHECKED,0);
-			break;
+			{
+				SetPosCenter(hwnd);
+				i=GetWndNum(GetWindow(hClient,GW_CHILD));
+				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				if(pWindowInfo->ExStyle&WS_EX_TOPMOST) SendDlgItemMessage(hwnd,IDC_EXSTYLE_TOPMOST,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->ExStyle&WS_EX_ACCEPTFILES) SendDlgItemMessage(hwnd,IDC_EXSTYLE_ACCEPTFILES,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->ExStyle&WS_EX_TRANSPARENT) SendDlgItemMessage(hwnd,IDC_EXSTYLE_TRANSPARENT,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->ExStyle&WS_EX_TOOLWINDOW) SendDlgItemMessage(hwnd,IDC_EXSTYLE_TOOLWINDOW,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->ExStyle&WS_EX_CLIENTEDGE) SendDlgItemMessage(hwnd,IDC_EXSTYLE_CLIENTEDGE,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->ExStyle&WS_EX_STATICEDGE) SendDlgItemMessage(hwnd,IDC_EXSTYLE_STATICEDGE,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->ExStyle&WS_EX_NOPARENTNOTIFY) SendDlgItemMessage(hwnd,IDC_EXSTYLE_NOPARENTNOTIFY,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->ExStyle&WS_EX_CONTEXTHELP) SendDlgItemMessage(hwnd,IDC_EXSTYLE_CONTEXTHELP,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->ExStyle&WS_EX_CONTROLPARENT) SendDlgItemMessage(hwnd,IDC_EXSTYLE_CONTROLPARENT,BM_SETCHECK,BST_CHECKED,0);
+				break;
+			}
 		case WM_COMMAND:
 			switch(LOWORD(wParam)){
 				case IDOK:
-					i=GetWndNum(GetWindow(hClient,GW_CHILD));
-					i2=GetWndInfoNum(MdiInfo[i].path);
-
-					DWORD style;
-					style=0;
-					if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_TOPMOST,BM_GETCHECK,0,0))
-						style|=WS_EX_TOPMOST;
-					if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_ACCEPTFILES,BM_GETCHECK,0,0))
-						style|=WS_EX_ACCEPTFILES;
-					if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_TRANSPARENT,BM_GETCHECK,0,0))
-						style|=WS_EX_TRANSPARENT;
-					if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_TOOLWINDOW,BM_GETCHECK,0,0))
-						style|=WS_EX_TOOLWINDOW;
-					if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_CLIENTEDGE,BM_GETCHECK,0,0))
-						style|=WS_EX_CLIENTEDGE;
-					if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_STATICEDGE,BM_GETCHECK,0,0))
-						style|=WS_EX_STATICEDGE;
-					if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_NOPARENTNOTIFY,BM_GETCHECK,0,0))
-						style|=WS_EX_NOPARENTNOTIFY;
-					if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_CONTEXTHELP,BM_GETCHECK,0,0))
-						style|=WS_EX_CONTEXTHELP;
-					if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_CONTROLPARENT,BM_GETCHECK,0,0))
-						style|=WS_EX_CONTROLPARENT;
-
-					if(style==ProjectInfo.pWindowInfo[i2].ExStyle){
-						SendMessage(hwnd,WM_COMMAND,IDCANCEL,0);
+					{
+						i=GetWndNum(GetWindow(hClient,GW_CHILD));
+
+						DWORD style;
+						style=0;
+						if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_TOPMOST,BM_GETCHECK,0,0))
+							style|=WS_EX_TOPMOST;
+						if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_ACCEPTFILES,BM_GETCHECK,0,0))
+							style|=WS_EX_ACCEPTFILES;
+						if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_TRANSPARENT,BM_GETCHECK,0,0))
+							style|=WS_EX_TRANSPARENT;
+						if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_TOOLWINDOW,BM_GETCHECK,0,0))
+							style|=WS_EX_TOOLWINDOW;
+						if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_CLIENTEDGE,BM_GETCHECK,0,0))
+							style|=WS_EX_CLIENTEDGE;
+						if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_STATICEDGE,BM_GETCHECK,0,0))
+							style|=WS_EX_STATICEDGE;
+						if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_NOPARENTNOTIFY,BM_GETCHECK,0,0))
+							style|=WS_EX_NOPARENTNOTIFY;
+						if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_CONTEXTHELP,BM_GETCHECK,0,0))
+							style|=WS_EX_CONTEXTHELP;
+						if(SendDlgItemMessage(hwnd,IDC_EXSTYLE_CONTROLPARENT,BM_GETCHECK,0,0))
+							style|=WS_EX_CONTROLPARENT;
+
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+
+						if(style==pWindowInfo->ExStyle){
+							SendMessage(hwnd,WM_COMMAND,IDCANCEL,0);
+							return 1;
+						}
+
+						//変更情報
+						Rad_NoticeChanging(i,RAD_UNDO_EXSTYLE,SELECT_WINDOW,pWindowInfo->ExStyle);
+
+						pWindowInfo->ExStyle=style;
+						EndDialog(hwnd,1);
 						return 1;
 					}
-
-					//変更情報
-					Rad_NoticeChanging(i,RAD_UNDO_EXSTYLE,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].ExStyle);
-
-					ProjectInfo.pWindowInfo[i2].ExStyle=style;
-					EndDialog(hwnd,1);
-					return 1;
 				case IDCANCEL:
 					EndDialog(hwnd,0);
@@ -544,184 +553,192 @@
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
 	extern PROJECTINFO ProjectInfo;
-	int i,i2,i3,i4;
+	int i,i3,i4;
 	static BOOL bInitial;
 
 	switch(message){
 		case WM_INITDIALOG:
-			bInitial=1;
-			i=GetWndNum(GetParent(GetParent(hwnd)));
-			i2=GetWndInfoNum(MdiInfo[i].path);
-
-			SetDlgItemText(hwnd,IDC_WINDOWNAME,ProjectInfo.pWindowInfo[i2].name);
-			SetDlgItemText(hwnd,IDC_HANDLE,ProjectInfo.pWindowInfo[i2].HandleName);
-			SetDlgItemText(hwnd,IDC_CAPTION,ProjectInfo.pWindowInfo[i2].caption);
-
-			//"3D FACE（標準）"
-			SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_BGCOLOR1);
-			//"色指定"
-			SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_BGCOLOR2);
-
-			for(i3=0;i3<ProjectInfo.res.NumberOfBitmapRes;i3++)
-				SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_ADDSTRING,0,(long)ProjectInfo.res.pBitmapResInfo[i3].IdName);
-			if(ProjectInfo.pWindowInfo[i2].type==WNDTYPE_MODALDLG||
-				ProjectInfo.pWindowInfo[i2].type==WNDTYPE_MODELESSDLG){
-				SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_SETCURSEL,0,0);
-				EnableWindow(GetDlgItem(hwnd,IDC_BGCOLOR),0);
-			}
-			else{
-				if(ProjectInfo.pWindowInfo[i2].bgColor==COLOR_3DFACE){
-					//3DFACE
+			{
+				bInitial=1;
+				i=GetWndNum(GetParent(GetParent(hwnd)));
+				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+
+				SetDlgItemText(hwnd,IDC_WINDOWNAME,pWindowInfo->name);
+				SetDlgItemText(hwnd,IDC_HANDLE,pWindowInfo->HandleName);
+				SetDlgItemText(hwnd,IDC_CAPTION,pWindowInfo->caption);
+
+				//"3D FACE（標準）"
+				SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_BGCOLOR1);
+				//"色指定"
+				SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_BGCOLOR2);
+
+				for(i3=0;i3<ProjectInfo.res.NumberOfBitmapRes;i3++)
+					SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_ADDSTRING,0,(long)ProjectInfo.res.pBitmapResInfo[i3].IdName);
+				if(pWindowInfo->type==WNDTYPE_MODALDLG||
+					pWindowInfo->type==WNDTYPE_MODELESSDLG){
 					SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_SETCURSEL,0,0);
+					EnableWindow(GetDlgItem(hwnd,IDC_BGCOLOR),0);
 				}
-				else if(ProjectInfo.pWindowInfo[i2].bgColor<=0){
-					//色指定
-					SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_SETCURSEL,1,0);
+				else{
+					if(pWindowInfo->bgColor==COLOR_3DFACE){
+						//3DFACE
+						SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_SETCURSEL,0,0);
+					}
+					else if(pWindowInfo->bgColor<=0){
+						//色指定
+						SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_SETCURSEL,1,0);
+					}
+					else if(pWindowInfo->bgColor>=0x1000){
+						//ビットマップ指定
+						SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_SETCURSEL,2+pWindowInfo->bgColor-0x1000,0);
+					}
 				}
-				else if(ProjectInfo.pWindowInfo[i2].bgColor>=0x1000){
-					//ビットマップ指定
-					SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_SETCURSEL,2+ProjectInfo.pWindowInfo[i2].bgColor-0x1000,0);
+
+
+				////////////
+				// メニュー
+				////////////
+
+				//"なし"
+				SendDlgItemMessage(hwnd,IDC_WINDOWMENU,CB_ADDSTRING,0,(long)STRING_NONE_);
+
+				for(i3=0,i4=0;i3<ProjectInfo.NumberOfMenu;i3++){
+					if(pWindowInfo->MenuID){
+						if(lstrcmpi(ProjectInfo.pMenuInfo[i3].IdName,pWindowInfo->MenuID)==0)
+							i4=i3+1;
+					}
+					SendDlgItemMessage(hwnd,IDC_WINDOWMENU,CB_ADDSTRING,0,(long)ProjectInfo.pMenuInfo[i3].IdName);
 				}
-			}
-
-
-			////////////
-			// メニュー
-			////////////
-
-			//"なし"
-			SendDlgItemMessage(hwnd,IDC_WINDOWMENU,CB_ADDSTRING,0,(long)STRING_NONE_);
-
-			for(i3=0,i4=0;i3<ProjectInfo.NumberOfMenu;i3++){
-				if(ProjectInfo.pWindowInfo[i2].MenuID){
-					if(lstrcmpi(ProjectInfo.pMenuInfo[i3].IdName,ProjectInfo.pWindowInfo[i2].MenuID)==0)
+				if(i4==0&&pWindowInfo->MenuID){
+					//メニューが存在しない場合、無効にする
+					HeapDefaultFree(pWindowInfo->MenuID);
+					pWindowInfo->MenuID=0;
+					DrawRadWindow(i,pWindowInfo);
+				}
+				SendDlgItemMessage(hwnd,IDC_WINDOWMENU,CB_SETCURSEL,i4,0);
+
+
+				////////////
+				// アイコン
+				////////////
+
+				//"Windowsロゴ（標準）"
+				SendDlgItemMessage(hwnd,IDC_ICONRES,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_ICONDEFAULT);
+
+				for(i3=0,i4=0;i3<ProjectInfo.res.NumberOfIconRes;i3++){
+					SendDlgItemMessage(hwnd,IDC_ICONRES,CB_ADDSTRING,0,(long)ProjectInfo.res.pIconResInfo[i3].IdName);
+
+					if(lstrcmp(pWindowInfo->IconResName,ProjectInfo.res.pIconResInfo[i3].IdName)==0)
 						i4=i3+1;
 				}
-				SendDlgItemMessage(hwnd,IDC_WINDOWMENU,CB_ADDSTRING,0,(long)ProjectInfo.pMenuInfo[i3].IdName);
-			}
-			if(i4==0&&ProjectInfo.pWindowInfo[i2].MenuID){
-				//メニューが存在しない場合、無効にする
-				HeapDefaultFree(ProjectInfo.pWindowInfo[i2].MenuID);
-				ProjectInfo.pWindowInfo[i2].MenuID=0;
-				DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
-			}
-			SendDlgItemMessage(hwnd,IDC_WINDOWMENU,CB_SETCURSEL,i4,0);
-
-
-			////////////
-			// アイコン
-			////////////
-
-			//"Windowsロゴ（標準）"
-			SendDlgItemMessage(hwnd,IDC_ICONRES,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_ICONDEFAULT);
-
-			for(i3=0,i4=0;i3<ProjectInfo.res.NumberOfIconRes;i3++){
-				SendDlgItemMessage(hwnd,IDC_ICONRES,CB_ADDSTRING,0,(long)ProjectInfo.res.pIconResInfo[i3].IdName);
-
-				if(lstrcmp(ProjectInfo.pWindowInfo[i2].IconResName,ProjectInfo.res.pIconResInfo[i3].IdName)==0)
-					i4=i3+1;
-			}
-			if(i4==0&&ProjectInfo.pWindowInfo[i2].IconResName){
-				//アイコンが存在しない場合、無効にする
-				HeapDefaultFree(ProjectInfo.pWindowInfo[i2].IconResName);
-				ProjectInfo.pWindowInfo[i2].IconResName=0;
-				DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
-			}
-			SendDlgItemMessage(hwnd,IDC_ICONRES,CB_SETCURSEL,i4,0);
-
-
-			////////////
-			// スタイル
-			////////////
-
-			//"オーバーラップ"
-			SendDlgItemMessage(hwnd,IDC_WINDOWSTYLE,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_STYLE_OVERLAPPED);
-			//"ポップアップ"
-			SendDlgItemMessage(hwnd,IDC_WINDOWSTYLE,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_STYLE_POPUP);
-			//"チャイルド"
-			SendDlgItemMessage(hwnd,IDC_WINDOWSTYLE,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_STYLE_CHILD);
-
-			if(ProjectInfo.pWindowInfo[i2].style&WS_POPUP) SendDlgItemMessage(hwnd,IDC_WINDOWSTYLE,CB_SETCURSEL,1,0);
-			else if(ProjectInfo.pWindowInfo[i2].style&WS_CHILD) SendDlgItemMessage(hwnd,IDC_WINDOWSTYLE,CB_SETCURSEL,2,0);
-			else SendDlgItemMessage(hwnd,IDC_WINDOWSTYLE,CB_SETCURSEL,0,0);
-
-			//"枠なし"
-			SendDlgItemMessage(hwnd,IDC_BORDERSTYLE,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_STYLE_FRAME_NONE);
-			//"細枠"
-			SendDlgItemMessage(hwnd,IDC_BORDERSTYLE,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_STYLE_FRAME_THICK);
-			//"サイズ変更枠"
-			SendDlgItemMessage(hwnd,IDC_BORDERSTYLE,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_STYLE_FRAME_BORDER);
-
-			//WS_CAPTION（WS_BORDER含む）を考慮してWS_THICKFRAMEを最初に比較する
-			if(ProjectInfo.pWindowInfo[i2].style&WS_THICKFRAME) SendDlgItemMessage(hwnd,IDC_BORDERSTYLE,CB_SETCURSEL,2,0);
-			else if(ProjectInfo.pWindowInfo[i2].style&WS_BORDER) SendDlgItemMessage(hwnd,IDC_BORDERSTYLE,CB_SETCURSEL,1,0);
-			else SendDlgItemMessage(hwnd,IDC_BORDERSTYLE,CB_SETCURSEL,0,0);
-
-			if(ProjectInfo.pWindowInfo[i2].style&WS_CAPTION) SendDlgItemMessage(hwnd,IDC_STYLE_CAPTION,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].style&WS_SYSMENU) SendDlgItemMessage(hwnd,IDC_STYLE_SYSMENU,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].style&WS_MINIMIZEBOX) SendDlgItemMessage(hwnd,IDC_STYLE_MINIMIZEBOX,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].style&WS_MAXIMIZEBOX) SendDlgItemMessage(hwnd,IDC_STYLE_MAXIMIZEBOX,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].style&WS_MINIMIZE) SendDlgItemMessage(hwnd,IDC_STYLE_MINIMIZE,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].style&WS_MAXIMIZE) SendDlgItemMessage(hwnd,IDC_STYLE_MAXIMIZE,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].style&WS_HSCROLL) SendDlgItemMessage(hwnd,IDC_STYLE_HSCROLLBAR,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].style&WS_VSCROLL) SendDlgItemMessage(hwnd,IDC_STYLE_VSCROLLBAR,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].style&WS_DISABLED) SendDlgItemMessage(hwnd,IDC_STYLE_DISABLED,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].style&WS_CLIPSIBLINGS) SendDlgItemMessage(hwnd,IDC_STYLE_CLIPSIBLINGS,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].style&WS_CLIPCHILDREN) SendDlgItemMessage(hwnd,IDC_STYLE_CLIPCHILDREN,BM_SETCHECK,BST_CHECKED,0);
-			if(ProjectInfo.pWindowInfo[i2].style&WS_VISIBLE) SendDlgItemMessage(hwnd,IDC_STYLE_VISIBLE,BM_SETCHECK,BST_CHECKED,0);
-
-			SetDlgItemText(hwnd,IDC_SETFONT,ProjectInfo.pWindowInfo[i2].LogFont.lfFaceName);
-
-			RadProperty_Window_Window_StylingOrder(hwnd,&ProjectInfo.pWindowInfo[i2].style);
-
-
-			//////////
-			//タイプ
-			switch(ProjectInfo.pWindowInfo[i2].type){
-				case WNDTYPE_DEFAULT:
-					SendDlgItemMessage(hwnd,IDC_DEFWINDOW,BM_SETCHECK,BST_CHECKED,0);
-					break;
-				case WNDTYPE_MODALDLG:
-					SendDlgItemMessage(hwnd,IDC_MODALDLG,BM_SETCHECK,BST_CHECKED,0);
-					break;
-				case WNDTYPE_MODELESSDLG:
-					SendDlgItemMessage(hwnd,IDC_MODELESSDLG,BM_SETCHECK,BST_CHECKED,0);
-					break;
-			}
-
-
-			bInitial=0;
-			break;
+				if(i4==0&&pWindowInfo->IconResName){
+					//アイコンが存在しない場合、無効にする
+					HeapDefaultFree(pWindowInfo->IconResName);
+					pWindowInfo->IconResName=0;
+					DrawRadWindow(i,pWindowInfo);
+				}
+				SendDlgItemMessage(hwnd,IDC_ICONRES,CB_SETCURSEL,i4,0);
+
+
+				////////////
+				// スタイル
+				////////////
+
+				//"オーバーラップ"
+				SendDlgItemMessage(hwnd,IDC_WINDOWSTYLE,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_STYLE_OVERLAPPED);
+				//"ポップアップ"
+				SendDlgItemMessage(hwnd,IDC_WINDOWSTYLE,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_STYLE_POPUP);
+				//"チャイルド"
+				SendDlgItemMessage(hwnd,IDC_WINDOWSTYLE,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_STYLE_CHILD);
+
+				if(pWindowInfo->style&WS_POPUP) SendDlgItemMessage(hwnd,IDC_WINDOWSTYLE,CB_SETCURSEL,1,0);
+				else if(pWindowInfo->style&WS_CHILD) SendDlgItemMessage(hwnd,IDC_WINDOWSTYLE,CB_SETCURSEL,2,0);
+				else SendDlgItemMessage(hwnd,IDC_WINDOWSTYLE,CB_SETCURSEL,0,0);
+
+				//"枠なし"
+				SendDlgItemMessage(hwnd,IDC_BORDERSTYLE,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_STYLE_FRAME_NONE);
+				//"細枠"
+				SendDlgItemMessage(hwnd,IDC_BORDERSTYLE,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_STYLE_FRAME_THICK);
+				//"サイズ変更枠"
+				SendDlgItemMessage(hwnd,IDC_BORDERSTYLE,CB_ADDSTRING,0,(long)STRING_WINDOWPROP_STYLE_FRAME_BORDER);
+
+				//WS_CAPTION（WS_BORDER含む）を考慮してWS_THICKFRAMEを最初に比較する
+				if(pWindowInfo->style&WS_THICKFRAME) SendDlgItemMessage(hwnd,IDC_BORDERSTYLE,CB_SETCURSEL,2,0);
+				else if(pWindowInfo->style&WS_BORDER) SendDlgItemMessage(hwnd,IDC_BORDERSTYLE,CB_SETCURSEL,1,0);
+				else SendDlgItemMessage(hwnd,IDC_BORDERSTYLE,CB_SETCURSEL,0,0);
+
+				if(pWindowInfo->style&WS_CAPTION) SendDlgItemMessage(hwnd,IDC_STYLE_CAPTION,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->style&WS_SYSMENU) SendDlgItemMessage(hwnd,IDC_STYLE_SYSMENU,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->style&WS_MINIMIZEBOX) SendDlgItemMessage(hwnd,IDC_STYLE_MINIMIZEBOX,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->style&WS_MAXIMIZEBOX) SendDlgItemMessage(hwnd,IDC_STYLE_MAXIMIZEBOX,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->style&WS_MINIMIZE) SendDlgItemMessage(hwnd,IDC_STYLE_MINIMIZE,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->style&WS_MAXIMIZE) SendDlgItemMessage(hwnd,IDC_STYLE_MAXIMIZE,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->style&WS_HSCROLL) SendDlgItemMessage(hwnd,IDC_STYLE_HSCROLLBAR,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->style&WS_VSCROLL) SendDlgItemMessage(hwnd,IDC_STYLE_VSCROLLBAR,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->style&WS_DISABLED) SendDlgItemMessage(hwnd,IDC_STYLE_DISABLED,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->style&WS_CLIPSIBLINGS) SendDlgItemMessage(hwnd,IDC_STYLE_CLIPSIBLINGS,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->style&WS_CLIPCHILDREN) SendDlgItemMessage(hwnd,IDC_STYLE_CLIPCHILDREN,BM_SETCHECK,BST_CHECKED,0);
+				if(pWindowInfo->style&WS_VISIBLE) SendDlgItemMessage(hwnd,IDC_STYLE_VISIBLE,BM_SETCHECK,BST_CHECKED,0);
+
+				SetDlgItemText(hwnd,IDC_SETFONT,pWindowInfo->LogFont.lfFaceName);
+
+				RadProperty_Window_Window_StylingOrder(hwnd,&pWindowInfo->style);
+
+
+				//////////
+				//タイプ
+				switch(pWindowInfo->type){
+					case WNDTYPE_DEFAULT:
+						SendDlgItemMessage(hwnd,IDC_DEFWINDOW,BM_SETCHECK,BST_CHECKED,0);
+						break;
+					case WNDTYPE_MODALDLG:
+						SendDlgItemMessage(hwnd,IDC_MODALDLG,BM_SETCHECK,BST_CHECKED,0);
+						break;
+					case WNDTYPE_MODELESSDLG:
+						SendDlgItemMessage(hwnd,IDC_MODELESSDLG,BM_SETCHECK,BST_CHECKED,0);
+						break;
+				}
+
+
+				bInitial=0;
+				break;
+			}
 		case WM_COMMAND:
 			switch(LOWORD(wParam)){
 				case IDC_RENAMEWINDOW:
-					if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW_RENAME),hwnd,(DLGPROC)DlgRadProperty_Window_Rename)) return 1;
-					i=GetWndNum(GetParent(GetParent(hwnd)));
-					i2=GetWndInfoNum(MdiInfo[i].path);
-					SetDlgItemText(hwnd,IDC_WINDOWNAME,ProjectInfo.pWindowInfo[i2].name);
-					SetDlgItemText(hwnd,IDC_HANDLE,ProjectInfo.pWindowInfo[i2].HandleName);
-					return 1;
+					{
+						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW_RENAME),hwnd,(DLGPROC)DlgRadProperty_Window_Rename)) return 1;
+						i=GetWndNum(GetParent(GetParent(hwnd)));
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						SetDlgItemText(hwnd,IDC_WINDOWNAME,pWindowInfo->name);
+						SetDlgItemText(hwnd,IDC_HANDLE,pWindowInfo->HandleName);
+						return 1;
+					}
 				case IDC_RENAMECAPTION:
-					if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_RENAMECAPTION),hwnd,(DLGPROC)DlgRadProperty_Item_RenameCaption)) return 1;
-					i=GetWndNum(GetParent(GetParent(hwnd)));
-					i2=GetWndInfoNum(MdiInfo[i].path);
-					SetDlgItemText(hwnd,IDC_CAPTION,ProjectInfo.pWindowInfo[i2].caption);
-					return 1;
+					{
+						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_RENAMECAPTION),hwnd,(DLGPROC)DlgRadProperty_Item_RenameCaption)) return 1;
+						i=GetWndNum(GetParent(GetParent(hwnd)));
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						SetDlgItemText(hwnd,IDC_CAPTION,pWindowInfo->caption);
+						return 1;
+					}
 				case IDC_SETFONT:
-					i=GetWndNum(GetParent(GetParent(hwnd)));
-					i2=GetWndInfoNum(MdiInfo[i].path);
-					LOGFONT lf;
-					lf=ProjectInfo.pWindowInfo[i2].LogFont;
-					if(!SetFontDialog(hwnd,&ProjectInfo.pWindowInfo[i2].LogFont,0)) return 1;
-
-					//変更情報
-					Rad_NoticeChanging(i,RAD_UNDO_FONT,SELECT_WINDOW,(DWORD)&lf);
-
-					SetDlgItemText(hwnd,IDC_SETFONT,ProjectInfo.pWindowInfo[i2].LogFont.lfFaceName);
-					DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
-					return 1;
+					{
+						i=GetWndNum(GetParent(GetParent(hwnd)));
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						LOGFONT lf;
+						lf=pWindowInfo->LogFont;
+						if(!SetFontDialog(hwnd,&pWindowInfo->LogFont,0)) return 1;
+
+						//変更情報
+						Rad_NoticeChanging(i,RAD_UNDO_FONT,SELECT_WINDOW,(DWORD)&lf);
+
+						SetDlgItemText(hwnd,IDC_SETFONT,pWindowInfo->LogFont.lfFaceName);
+						DrawRadWindow(i,pWindowInfo);
+						return 1;
+					}
 				case IDC_BGCOLOR:
 					if(HIWORD(wParam)==CBN_SELCHANGE){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						i2=GetWndInfoNum(MdiInfo[i].path);
+						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						i3=SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_GETCURSEL,0,0);
@@ -730,7 +747,7 @@
 
 							//変更情報
-							Rad_NoticeChanging(i,RAD_UNDO_BGCOLOR,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].bgColor);
-
-							ProjectInfo.pWindowInfo[i2].bgColor=COLOR_3DFACE;
+							Rad_NoticeChanging(i,RAD_UNDO_BGCOLOR,SELECT_WINDOW,pWindowInfo->bgColor);
+
+							pWindowInfo->bgColor=COLOR_3DFACE;
 						}
 						else if(i3==1){
@@ -756,6 +773,6 @@
 							cc.lStructSize=sizeof(CHOOSECOLOR);
 							cc.hwndOwner=hwnd;
-							if(ProjectInfo.pWindowInfo[i2].bgColor<=0)
-								cc.rgbResult=-ProjectInfo.pWindowInfo[i2].bgColor;
+							if(pWindowInfo->bgColor<=0)
+								cc.rgbResult=-pWindowInfo->bgColor;
 							else cc.rgbResult=RGB(255,255,255);
 							cc.lpCustColors=CusColors;
@@ -763,15 +780,15 @@
 							if(!ChooseColor(&cc)){
 								//キャンセル動作
-								if(ProjectInfo.pWindowInfo[i2].bgColor==COLOR_3DFACE){
+								if(pWindowInfo->bgColor==COLOR_3DFACE){
 									//3DFACE
 									SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_SETCURSEL,0,0);
 								}
-								else if(ProjectInfo.pWindowInfo[i2].bgColor<=0){
+								else if(pWindowInfo->bgColor<=0){
 									//色指定
 									SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_SETCURSEL,1,0);
 								}
-								else if(ProjectInfo.pWindowInfo[i2].bgColor>=0x1000){
+								else if(pWindowInfo->bgColor>=0x1000){
 									//ビットマップ指定
-									SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_SETCURSEL,2+ProjectInfo.pWindowInfo[i2].bgColor-0x1000,0);
+									SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_SETCURSEL,2+pWindowInfo->bgColor-0x1000,0);
 								}
 								return 1;
@@ -779,7 +796,7 @@
 
 							//変更情報
-							Rad_NoticeChanging(i,RAD_UNDO_BGCOLOR,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].bgColor);
-
-							ProjectInfo.pWindowInfo[i2].bgColor=-(int)cc.rgbResult;
+							Rad_NoticeChanging(i,RAD_UNDO_BGCOLOR,SELECT_WINDOW,pWindowInfo->bgColor);
+
+							pWindowInfo->bgColor=-(int)cc.rgbResult;
 						}
 						else{
@@ -788,9 +805,9 @@
 
 							//変更情報
-							Rad_NoticeChanging(i,RAD_UNDO_BGCOLOR,SELECT_WINDOW,ProjectInfo.pWindowInfo[i2].bgColor);
-
-							ProjectInfo.pWindowInfo[i2].bgColor=0x1000+i3;
-						}
-						DrawRadWindow(i,&ProjectInfo.pWindowInfo[i2]);
+							Rad_NoticeChanging(i,RAD_UNDO_BGCOLOR,SELECT_WINDOW,pWindowInfo->bgColor);
+
+							pWindowInfo->bgColor=0x1000+i3;
+						}
+						DrawRadWindow(i,pWindowInfo);
 						return 1;
 					}
